/* カテゴリー別固定ページ、個別ページ共通 */

html {
  font-size: 100%;
}

body {
  margin: 0;
  padding: 0;
  max-width: 100%;
  min-height: 100vh;
  overflow-x: hidden; /* 追加: 横スクロールを防止 */
  background-image:none;
}

a {
  color: #333;
  text-decoration: none;
  transition: all 0.5s;
}

img {
  max-width: 100%;
}

a:hover {
  opacity: 0.7;
}

li {
  list-style: none;
}

.site-title {
  line-height: 1px;
}

.site-title a {
  display: block;
}

.sec-title {
  font-size: 1.5rem;
  margin-bottom: 20px;
  text-align: center;
}

video {
  max-width: 100%;
  width: 100%;
  height:auto;
  margin:auto auto;
}

/* 下記にクリックページ */
.news-pagination {
  text-align: center !important;
  margin: 20px 0 !important;
}

.news-pagination a,
.news-pagination span {
  display: inline-block !important;
  padding: 10px !important;
  margin: 0 5px !important;
  text-decoration: none !important;
  color: #0073aa !important;
}

.news-pagination a:hover,
.news-pagination span.current {
  background-color: #0073aa !important;
  color: #ffffff !important;
}

/* 検索 */
.search-img {
  width:100%;
  height:auto;
  margin:auto;
  padding:auto 16px;
}

.not-seach-img {
  width:100%;
  height:auto;
  margin:auto;
  padding:auto 16px;
}

.search-text {
  text-align: center;
  padding-top:3rem;
}

/* ヘッダー */
#item-1 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

#logo {
  width: 110px;
  height: auto; /* 必要に応じて高さを調整してください */
}

header {
  width: 100%;
  height:auto;
  display: flex;
  align-items: center; /* 垂直方向に中央揃え */
  justify-content: space-between; /* 水平方向にスペースを均等に配置 */
  padding: 20px 16px;
  position: fixed;
  z-index: 10;
  background-image:none;
}

/* ナビ関係 */
#navi {
  display: block;
  position: fixed;
  top: 0;
  left: -300px;
  bottom: 0;
  width: 300px;
  color: #fff;
  padding: 60px 25px;
  background-color: #121212;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  transition: all .5s;
  z-index: 20;
  opacity: 0;
}

#navi a {
  color: #fff;
}

.open #navi {
  left: 0;
  opacity: 1;
}

#navi ul {
  margin: 0;
  padding: 0;
}

#navi ul.nav-menu {
  margin-bottom: 60px;
  border-top: solid 1px #fff;
}

#navi ul.nav-menu li {
  position: relative;
  margin: 0;
  padding: 20px 0;
  border-bottom: solid 1px #fff;
}

#navi ul.nav-sns li {
  padding: 5px 0;
}

.toggle_btn {
  display: block;
  position: fixed;
  top: 60px;
  right: 20px;
  width: 30px;
  height: 30px;
  transition: all .5s;
  cursor: pointer;
  z-index: 20;
}

.toggle_btn span {
  display: block;
  position: absolute;
  left: 0;
  width: 30px;
  height: 2px;
  background-color: #333;
  border-radius: 4px;
  transition: all .5s;
}

.toggle_btn span:nth-child(1) {
  top: 4px;
}

.toggle_btn span:nth-child(2) {
  top: 14px;
}

.toggle_btn span:nth-child(3) {
  bottom: 4px;
}

.open .toggle_btn span {
  background-color: #fff;
}

.open .toggle_btn span:nth-child(1) {
  transform: translateY(10px) rotate(-315deg);
}

.open .toggle_btn span:nth-child(2) {
  opacity: 0;
}

.open .toggle_btn span:nth-child(3) {
  transform: translateY(-10px) rotate(315deg);
}

#mask {
  display: none;
  transition: all .5s;
}

.open #mask {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: .8;
  z-index: 10;
  cursor: pointer;
}


/* フッター */
footer {
  background-color: black;
  color: white;
  width: 100%;
  height: 550px;
  padding-top: 0.2rem;
}

#contact-text {
  margin-left: 1rem;
  margin-right: 1rem;
}

.type-text {
  width: 100%;
  height: 20px;
}

textarea {
  width: 100%;
  height: 50px;
}

.contact-submit {
  width: 100%;
  height: 30px;
  margin-top: 1rem;
  font-size: 1rem;
}

.contact-text2 {
  color:none;
  color:white;
}


/* カテゴリーまとめページ　共通 */

.item-content-2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width:100%;
  height:auto;
  box-sizing: border-box; 
  margin-left:1rem;
}



/*coordnation-make,feature, prosthetics,sponsors*/

/* メイン */
.item-category {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding:0;
  margin:0;
  padding-top:10rem;
  width:100%;
  height:auto;
}

.item-category2 {
  display: flex;
  border: grey solid 2px;
  width: 100%;
  height:auto;
  margin: 0;
  padding:0;
  overflow: hidden; /* 画像がテキストの高さに合わせて切り取られるのを防ぐ */
}

.main-text-1 {
  text-align: center;
  padding-top: 120px;
  font-size: 25px;
}

.category-img {
  width:55%; /* 画像がアイテム内で横幅を合わせる */
  height: 50vw; /* 高さは自動で調整 */
  object-fit: cover;
  padding:0;
  margin:0;
  
}

/* リンク全体をクリック可能にするためのスタイル */
.item-category2 a {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: inherit;
}

.grid-2 {
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(1, 1fr);
  gap: 35px;
  padding: 0;
  margin:auto 1rem;
  margin-bottom:5rem;
}


/* カテゴリー各ページ(縦) */
/*ショー、コーディネート、メイク、マップ  */
.contents {
  width: 100%;
  max-width: 100%;
  box-sizing: border-box; /* 追加: パディングとボーダーを含めたレイアウト計算 */
}

.contens-main-1 {
  display: flex; /* フレックスボックスを使用 */
  flex-direction: column; /* 縦並びにするために追加 */
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え */
  padding-top: 8rem;
  margin: auto 1rem;
  margin-bottom:1rem;
}


.contens-other-img {
  display: flex;
  width:70%;
  height:auto;
  margin:1rem auto;
}

.contens-other-text {
  margin:auto;
  margin-bottom:2rem;
}

.contens-other-video {
  display: flex;
  flex-direction: column; /* 縦並びにするために追加 */
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え */
  width: 70%;
  height:auto;
  margin-top:auto;
  margin-bottom:1%;
}

/*カテゴリー各ページ  
マップ */
.map-main {
  padding-top: 8rem;
  margin: 0;
  margin:auto 0.5rem;
}

.map-contents-img {
  display: flex;
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え場合にはお好みで追加 */
}

.map-text {
  padding:0;
  margin:0;
  font-size: 18px;
}

.map-contents-icon{
  width: 90%;
}

.map-area {
  margin-left:1rem;
  color:palevioletred;
}

.map-link {
  color: orange;
  text-decoration: none;
  transition: all 0.5s;
}

ul {
  margin-bottom:2rem;
}

li {
  list-style: none;
  line-height:40px;
}

/* アイデアノート */
.contents-idea-notes{
  padding-top: 1rem;
  margin: 0;
  margin:auto 0.5rem;
}

.idea-notes-img {
  display: flex;
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え場合にはお好みで追加 */
  padding-top: 8rem;
}

.idea-notes-maintext {
  margin-left:1rem;
  color:palevioletred;
}

.idea-notes-img2 {
  width: 90%;
}

.idea-notes-text{
  padding: 0;
  margin:auto 16px;
  font-size: 18px;
  line-height: 30px;
}

.idea-notes-text2 {
  color:orange;
}

.dougu {
  margin-bottom:6rem;
}

.dougu-1 {
  margin-bottom:2rem;
}

.kansou {
  margin-bottom: 3rem;
}

.doug-img {
  width:65%;
}

.doug-img1{
  width:75%;
}

.doug-img2 {
  height:10%;
}

.idea-notes-link {
  color: green;
  text-decoration: none;
  transition: all 0.5s;
  font-size:15px;
}

.idea-notes-text7 {
  line-height: 40px;
  padding:auto auto;
}


/* PC用 */
@media screen and (min-width: 866px) {
  /* カテゴリー別固定ページ、個別ページ共通 */

  body {
      padding: 0;
      margin: auto;
  }

  video {
    width:100%;
    height:auto;
  }

  .sec-title {
      font-size: 2.25rem;
      margin-bottom: 30px;
  }

/* ヘッダーとナビ */
  #header {
      padding: 20px 40px;
  }

  #logo {
    width: 200px;
    height: auto; /* 必要に応じて高さを調整してください */
  }

  .toggle_btn {
      right: 45px;
  }

  .news-pagination {
    margin-left:2rem;
  }

  /* フッター */
  #contact-text {
      display: flex;
      justify-content: space-around;
  }

  #cantact-form {
      margin-right: 10%;
  }

  .type-text {
      padding-right: 100%;
  }

  textarea {
      padding-right: 100%;
      padding-bottom: 3rem;
  }

#navi ul.nav-menu {
  margin-bottom: 0; /* 余計な空白を削除 */
}

#navi ul.nav-sns {
  padding-top: 30px; /* メニューとSNSリストの間に隙間を追加 */
  border-top: solid 1px #fff; /* 境界線を追加 */
}

/* メイン関係　カテゴリまとめページ 共通 */
.item-content {
  width:80%;
}

/* メイン関係　カテゴリまとめページ */


/*coordnation-make,feature, prosthetics,sponsors*/
.main-text-1 {
  margin-bottom:5rem;
}

.category-img{
  width:55%; /* 画像がアイテム内で横幅を合わせる */
  height: 55vh; /* 高さは自動で調整 */
  object-fit: cover;
  
}

.grid-2 {
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(2, 1fr);
  gap: 50px;
  padding: 0;
}

/* カテゴリー各ページ(縦) */
/*ショー、コーディネート、メイク、マップ  */

.contens-main-1 {
  display: flex; /* フレックスボックスを使用 */
  flex-direction: column; /* 縦並びにするために追加 */
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え */
  padding-top: 9rem;
  margin: auto 1rem;
  margin-bottom:1rem;
}


.contens-other-img {
  display: flex;
  width:60%;
  height:auto;
}

.contens-other-text {
  margin:auto;
  margin-bottom:2rem;
}

.contens-other-video {
  width: 60%;
  height:auto;
  margin-top:auto;
  margin-bottom:1%;
}

/*カテゴリー各ページ  マップ */
.map-main {
  padding-top: 14rem;
  margin-left:5rem ;
}


.map-text {
  padding:0;
  margin:0;
}

.map-contents-icon{
  width: 50%;
  margin-bottom:3rem;
}


/* アイデアノート */
.contents-idea-notes {
  display: flex;
  justify-content: center;
  align-items: center;
  margin:auto auto;
  margin-left:2rem;
}


.idea-notes-img {
  display: flex;
  justify-content: center; /* 水平方向に中央揃え */
  align-items: center; /* 垂直方向に中央揃え場合にはお好みで追加 */
  padding-top: 8rem;

}

.idea-notes-text {
  padding: 0;
  margin:auto auto;
  font-size: 18px;
}

.idea-notes-img2 {
  width: 40%;
}


.doug-img {
  width:30%;
  margin-bottom:2rem;
  
}

.doug-img1{
  width:55%;
}

.doug-img2 {
  height:25rem;
}

.contents-idea-notes6 {
  margin:auto 10rem;
}

}
